Debian DLA-2345-1 : php7.0 security update

low Nessus Plugin ID 139876

Synopsis

The remote Debian host is missing a security update.

Description

It was discovered that there was a use-after-free vulnerability when parsing PHAR files, a method of putting entire PHP applications into a single file.

For Debian 9 'Stretch', this problem has been fixed in version 7.0.33-0+deb9u9.

We recommend that you upgrade your php7.0 packages.

For the detailed security status of php7.0 please refer to its security tracker page at:
https://security-tracker.debian.org/tracker/php7.0

NOTE: Tenable Network Security has extracted the preceding description block directly from the DLA security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Upgrade the affected packages.

See Also

https://lists.debian.org/debian-lts-announce/2020/08/msg00043.html

https://packages.debian.org/source/stretch/php7.0

https://security-tracker.debian.org/tracker/source-package/php7.0

Plugin Details

Severity: Low

ID: 139876

File Name: debian_DLA-2345.nasl

Version: 1.7

Type: local

Agent: unix

Published: 8/27/2020

Updated: 9/25/2020

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.3

CVSS v2

Risk Factor: Low

Base Score: 3.3

Temporal Score: 2.4

Vector: AV:L/AC:M/Au:N/C:P/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2020-7068

CVSS v3

Risk Factor: Low

Base Score: 3.6

Temporal Score: 3.2

Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:L/I:N/A:L

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:libapache2-mod-php7.0, p-cpe:/a:debian:debian_linux:libphp7.0-embed, p-cpe:/a:debian:debian_linux:php7.0, p-cpe:/a:debian:debian_linux:php7.0-bcmath, p-cpe:/a:debian:debian_linux:php7.0-bz2, p-cpe:/a:debian:debian_linux:php7.0-cgi, p-cpe:/a:debian:debian_linux:php7.0-cli, p-cpe:/a:debian:debian_linux:php7.0-common, p-cpe:/a:debian:debian_linux:php7.0-curl, p-cpe:/a:debian:debian_linux:php7.0-dba, p-cpe:/a:debian:debian_linux:php7.0-dev, p-cpe:/a:debian:debian_linux:php7.0-enchant, p-cpe:/a:debian:debian_linux:php7.0-fpm, p-cpe:/a:debian:debian_linux:php7.0-gd, p-cpe:/a:debian:debian_linux:php7.0-gmp, p-cpe:/a:debian:debian_linux:php7.0-imap, p-cpe:/a:debian:debian_linux:php7.0-interbase, p-cpe:/a:debian:debian_linux:php7.0-intl, p-cpe:/a:debian:debian_linux:php7.0-json, p-cpe:/a:debian:debian_linux:php7.0-ldap, p-cpe:/a:debian:debian_linux:php7.0-mbstring, p-cpe:/a:debian:debian_linux:php7.0-mcrypt, p-cpe:/a:debian:debian_linux:php7.0-mysql, p-cpe:/a:debian:debian_linux:php7.0-odbc, p-cpe:/a:debian:debian_linux:php7.0-opcache, p-cpe:/a:debian:debian_linux:php7.0-pgsql, p-cpe:/a:debian:debian_linux:php7.0-phpdbg, p-cpe:/a:debian:debian_linux:php7.0-pspell, p-cpe:/a:debian:debian_linux:php7.0-readline, p-cpe:/a:debian:debian_linux:php7.0-recode, p-cpe:/a:debian:debian_linux:php7.0-snmp, p-cpe:/a:debian:debian_linux:php7.0-soap, p-cpe:/a:debian:debian_linux:php7.0-sqlite3, p-cpe:/a:debian:debian_linux:php7.0-sybase, p-cpe:/a:debian:debian_linux:php7.0-tidy, p-cpe:/a:debian:debian_linux:php7.0-xml, p-cpe:/a:debian:debian_linux:php7.0-xmlrpc, p-cpe:/a:debian:debian_linux:php7.0-xsl, p-cpe:/a:debian:debian_linux:php7.0-zip, cpe:/o:debian:debian_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 8/26/2020

Vulnerability Publication Date: 9/9/2020

Reference Information

CVE: CVE-2020-7068

IAVA: 2020-A-0373-S